org.eclipse.oomph.predicates.util

## Class PredicatesAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.oomph.predicates.util.PredicatesAdapterFactory

- All Implemented Interfaces:
    AdapterFactory

      public class PredicatesAdapterFactory
      extends AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `PredicatesPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static PredicatesPackage` | `modelPackage` The cached model package.
    `protected PredicatesSwitch<Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PredicatesAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adapter` | `createAdapter(Notifier target)` Creates an adapter for the `target`.
    `Adapter` | `createAndPredicateAdapter()` Creates a new adapter for an object of class '`And Predicate`'.
    `Adapter` | `createBuilderPredicateAdapter()` Creates a new adapter for an object of class '`Builder Predicate`'.
    `Adapter` | `createCommentPredicateAdapter()` Creates a new adapter for an object of class '`Comment Predicate`'.
    `Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `Adapter` | `createFilePredicateAdapter()` Creates a new adapter for an object of class '`File Predicate`'.
    `Adapter` | `createLocationPredicateAdapter()` Creates a new adapter for an object of class '`Location Predicate`'.
    `Adapter` | `createModelElementAdapter()` Creates a new adapter for an object of class '`Model Element`'.
    `Adapter` | `createNamePredicateAdapter()` Creates a new adapter for an object of class '`Name Predicate`'.
    `Adapter` | `createNaturePredicateAdapter()` Creates a new adapter for an object of class '`Nature Predicate`'.
    `Adapter` | `createNotPredicateAdapter()` Creates a new adapter for an object of class '`Not Predicate`'.
    `Adapter` | `createOrPredicateAdapter()` Creates a new adapter for an object of class '`Or Predicate`'.
    `Adapter` | `createPredicateAdapter()` Creates a new adapter for an object of class '`Predicate`'.
    `Adapter` | `createRepositoryPredicateAdapter()` Creates a new adapter for an object of class '`Repository Predicate`'.
    `boolean` | `isFactoryForType(Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static PredicatesPackage modelPackage

      The cached model package.
      Generated

    - #### modelSwitch

          protected PredicatesSwitch<Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated

  - ### Constructor Detail

    - #### PredicatesAdapterFactory

          public PredicatesAdapterFactory()

      Creates an instance of the adapter factory.
      Generated

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `AdapterFactory`
      Overrides:
        `isFactoryForType` in class `AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated

    - #### createAdapter

          public Adapter createAdapter(Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated

    - #### createPredicateAdapter

          public Adapter createPredicateAdapter()

      Creates a new adapter for an object of class '`Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Predicate`
      Generated

    - #### createNamePredicateAdapter

          public Adapter createNamePredicateAdapter()

      Creates a new adapter for an object of class '`Name Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NamePredicate`
      Generated

    - #### createCommentPredicateAdapter

          public Adapter createCommentPredicateAdapter()

      Creates a new adapter for an object of class '`Comment Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CommentPredicate`
      Generated

    - #### createLocationPredicateAdapter

          public Adapter createLocationPredicateAdapter()

      Creates a new adapter for an object of class '`Location Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LocationPredicate`
      Generated

    - #### createRepositoryPredicateAdapter

          public Adapter createRepositoryPredicateAdapter()

      Creates a new adapter for an object of class '`Repository Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RepositoryPredicate`
      Generated

    - #### createAndPredicateAdapter

          public Adapter createAndPredicateAdapter()

      Creates a new adapter for an object of class '`And Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `AndPredicate`
      Generated

    - #### createOrPredicateAdapter

          public Adapter createOrPredicateAdapter()

      Creates a new adapter for an object of class '`Or Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `OrPredicate`
      Generated

    - #### createNotPredicateAdapter

          public Adapter createNotPredicateAdapter()

      Creates a new adapter for an object of class '`Not Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NotPredicate`
      Generated

    - #### createNaturePredicateAdapter

          public Adapter createNaturePredicateAdapter()

      Creates a new adapter for an object of class '`Nature Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `NaturePredicate`
      Generated

    - #### createBuilderPredicateAdapter

          public Adapter createBuilderPredicateAdapter()

      Creates a new adapter for an object of class '`Builder Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `BuilderPredicate`
      Generated

    - #### createFilePredicateAdapter

          public Adapter createFilePredicateAdapter()

      Creates a new adapter for an object of class '`File Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FilePredicate`
      Generated

    - #### createModelElementAdapter

          public Adapter createModelElementAdapter()

      Creates a new adapter for an object of class '`Model Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ModelElement`
      Generated

    - #### createEObjectAdapter

          public Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html